:root {
    --mdc-theme-primary: #20aa5e;
    --mdc-theme-secondary: #1a5987;
    --mdc-theme-error: #b00020;
}

body {
    width: 100%;
    height: 100%;
    background: #eee;
    margin: 0;
}

.kubescrapes-full {
    padding: 16px;
    width: 80%;
}

.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label {
    color: var(--mdc-theme-primary);
}

.mdc-select:not(.mdc-select--disabled).mdc-select--focused .mdc-floating-label {
    color: var(--mdc-theme-primary);
}

.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label {
    color: var(--mdc-theme-error);
}

.content-base {
    padding: 25px;
    background-color: white;
    box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2), 0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, .12);
}

.content-base > h4 {
    margin-top: 0;
    margin-bottom: 20px;
    -webkit-font-smoothing: antialiased;
    font-size: 2.125rem;
    line-height: 2.5rem;
    font-weight: 400;
    position: relative;
}

.input-wrapper {
    margin: 10px 0;
}

.mdc-text-field:not(.mdc-text-field--disabled), .mdc-text-field::before {
    background-color: #fff !important;
}

.mdc-select:not(.mdc-select--disabled), .mdc-select::before {
    background-color: #fff !important;
}

.mdc-text-field--with-trailing-icon .mdc-text-field__input {
    padding-left: 16px;
}

.mdc-layout-grid.input-wrapper {
    padding: 0;
}

.input-wrapper .mdc-text-field {
    width: 100%;
}

.input-wrapper .mdc-select {
    width: 100%;
}

.error-msg {
    margin: 0 12px;
    color: var(--mdc-theme-error);
}

.post-button-form {
    display: inline-block;
}

.form-error {
    color: var(--mdc-theme-error);
}

.add-button {
    position: absolute;
    top: 52px;
    right: 46px;
}

.content-base.list-header h4 {
    margin: 0;
}

.content-base.no-pad {
    padding: 0;
}

.no-mg {
    margin: 0;
}

.mb40 {
    margin-bottom: 40px;
}

.ml10 {
    margin-left: 10px;
}

.ml5 {
    margin-left: 5px;
}

.property-item {
    padding: 0;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: flex-start;
    height: 36px;
    overflow: hidden;
}

.content-base.property-container {
    padding: 0 25px;
}

.property-buttons {
    padding-top: 10px;
}

.table {
    width: 100%;
    border-collapse: collapse;
}

.table th {
    text-align: left;
    font-weight: normal;
    color: #8e8e8e;
}

.table tr {
    border-top: 1px solid #ccc;
}

.table td {
    padding: 12px 20px;
}

.table th {
    padding: 16px 20px;
}

.button-column {
    text-align: right;
}

.delete-button {
    --mdc-theme-primary: var(--mdc-theme-error);
}

.warning-button {
    --mdc-theme-primary: #cda823;
}

.hidden {
    display: none;
}

.empty-msg {
    color: #8e8e8e;
}

.monowidth textarea {
    font-family: 'Monaco', 'Ubuntu', monospace;
}

span.monowidth {
    font-family: 'Monaco', 'Ubuntu', monospace;
    display: block;
}

.mdc-typography--caption.description {
    margin: 0 12px;
    color: rgba(0, 0, 0, .6)
}

a {
    color: var(--mdc-theme-primary);
}

.icon {
    vertical-align: middle;
}

.small-icon {
    font-size: 15pt;
    vertical-align: middle;
}

.pointer {
    cursor: pointer;
}

@media (min-width: 1000px){
    .mdc-dialog .mdc-dialog__surface {
        max-width: 800px;
    }
}

.black {
    background-color: #131313;
    color: #d8d8d8;
}

.bold {
    font-weight: 600;
}

.content-code {
    padding: 20px;
    max-height: 85vh;
    overflow: scroll;
}

.text-center {
    text-align: center;
}
